/*
*/

#include <gst/gst.h>
#include <gst-phonon/gst-phonon.h>
#include "audioeffect.h"
#include <klocale.h>
#include "delayaudioeffect.h"

namespace Phonon
{
namespace Gst
{
AudioEffect::AudioEffect( int effectId, QObject* parent )
	: QObject( parent )
{
//	object = gpho_audio_effect_new();
}

AudioEffect::~AudioEffect()
{
//	gst_object_unref(object);
}

QList<Phonon::EffectParameter> AudioEffect::parameterList() const
{
	return m_parameterList;
}

QVariant AudioEffect::value( int parameterId ) const
{
	if( m_effect )
		return m_effect->value( parameterId );
	return QVariant(); // invalid
}

void AudioEffect::setValue( int parameterId, QVariant newValue )
{
	if( m_effect )
		m_effect->setValue( parameterId, newValue );
}

void AudioEffect::processBuffer( QVector<float>& buffer )
{
	if( m_effect )
		m_effect->processBuffer( buffer );
}

}} //namespace Phonon::Gst

#include "audioeffect.moc"
// vim: sw=4 ts=4
